org.apache.ignite.internal.processors.cache.persistence

## Interface PageStoreWriter

All Known Implementing Classes:
  DelayedDirtyPageStoreWrite

    public interface PageStoreWriter

Interface for write page to `PageStore`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `writePage(FullPageId fullPageId, ByteBuffer buf, int tag)` Callback for write page.

### Method Detail

#### writePage

    void writePage(FullPageId fullPageId,
                   ByteBuffer buf,
                   int tag)
            throws IgniteCheckedException

Callback for write page. `PageMemoryEx` will copy page content to buffer before call.

Parameters:
  `fullPageId` - Page ID to get byte buffer for. The page ID must be present in the collection returned by the `PageMemoryEx.beginCheckpoint(IgniteInternalFuture)` method call.
  `buf` - Temporary buffer to write changes into.
  `tag` - `Partition generation` if data was read, `null` otherwise (data already saved to storage).
Throws:
  `IgniteCheckedException` - If write page failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020